import request from '@/utils/request'

// 查询岗位列表
export function listPost(data) {
  return request({
    url: '/boman-web-core/attendance/statistics',
    method: 'post',
    data: data
  })
}

// 查询岗位详细
export function getPost(val,id,) {
  return request({
    url: '/boman-web-core/attendance/findDate/' + val + '/' + id,
    method: 'get'
  })
}

// 导出
export function getDown(data) {
 return request({
   headers: {
     'Content-Type': 'application/vnd.ms-excel'
   },
   url: '/boman-file/common/file/export/statisticsByMonth',
   method: 'post',
   data: data
 })
}

// 新增岗位
export function addPost(data) {
  return request({
    url: '/system/post',
    method: 'post',
    data: data
  })
}

// 修改岗位
export function updatePost(data) {
  return request({
    url: '/system/post',
    method: 'put',
    data: data
  })
}

// 删除岗位
export function delPost(id) {
  return request({
    url: '/system/post/' + id,
    method: 'delete'
  })
}
